%define url_ver	%(echo %{version} | cut -d. -f1,2)

%define major	5
%define libname %mklibname xfce4sensors %{major}

Summary:	Sensor plugin for the Xfce panel
Name:		xfce4-sensors-plugin
Version:	1.3.95
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://docs.xfce.org/panel-plugins/xfce4-sensors-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: hddtemp
BuildRequires: intltool
BuildRequires: lm_sensors-devel
BuildRequires: netcat
BuildRequires: xfce4-dev-tools
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel 
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel 
BuildRequires: lib64xfce4panel2.0-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel

Requires:	xfce4-panel
Requires:	xfce4-sensors
Requires:	lm_sensors
Requires:	netcat
Requires:	hddtemp

%description
A Xfce panel plugin which reads your hardware sensor
values and displays them in your panel.

%package -n %{libname}
Summary:	Library for the Xfce 4 Sensors Plugin and Viewer
Group:		Graphical desktop/XFCE

%description -n %{libname}
Library for the Xfce 4 Sensors Plugin and Viewer.

%package -n xfce4-sensors
Summary:	Xfce 4 Sensors Viewer
Group:		Graphical desktop/XFCE
Requires:	lm_sensors
Requires:	netcat
Requires:	hddtemp

%description -n xfce4-sensors
Xfce 4 Sensors Viewer.

%prep
%setup -q
%apply_patches

sed -i -e 's,\(plugindir = \).*,\1$(libdir),' lib/Makefile.am

%build
%xdt_autogen
%configure2_5x \
	--disable-static \
	--enable-hddtemp=yes \
	--with-pathhddtemp=%{_bindir}/hddtemp \
	--enable-libsensors=yes \
	--enable-procacpi \
	--enable-sysfsacpi \
	--enable-netcat=yes \
	--enable-notification

%make_build

%install
rm -rf %buildroot
%make_install manualdir=%{_mandir}/man1

rm -rf %{buildroot}%{_libdir}/pkgconfig/libxfce4sensors-1.0.pc
rm -rf %{buildroot}%{_libdir}/*.so

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} %{name}.lang

%files -f %{name}.lang
%{_libdir}/xfce4/panel/plugins/libxfce4-sensors-plugin.so
%{_datadir}/xfce4/panel/plugins/%{name}.*

%files -n xfce4-sensors
%{_bindir}/xfce4-sensors
%{_iconsdir}/hicolor/*/apps/*.*g
%{_datadir}/applications/xfce4-sensors.desktop
%{_mandir}/man1/xfce4-sensors.1*

%files -n %{libname}
%{_libdir}/libxfce4sensors.so.%{major}
%{_libdir}/libxfce4sensors.so.%{major}.*


%changelog
* Mon Dec 28 2020 tex - 1.3.95-1pclos2020
- new version 1.3.95
